## com.sun.jna.platform.win32
Class W32API.WPARAM

    java.lang.Object
      java.lang.Number
          com.sun.jna.IntegerType
              com.sun.jna.platform.win32.W32API.UINT_PTR
                  com.sun.jna.platform.win32.W32API.WPARAM

All Implemented Interfaces:
  com.sun.jna.NativeMapped, java.io.Serializable

Enclosing interface:
  W32API

    public static class W32API.WPARAM

extends W32API.UINT_PTR

See Also:
  Serialized Form

Constructor Summary
`W32API.WPARAM()`
`W32API.WPARAM(long value)`

Method Summary

Methods inherited from class com.sun.jna.platform.win32.W32API.UINT_PTR
`toPointer`

Methods inherited from class com.sun.jna.IntegerType
`doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative, toString`

Methods inherited from class java.lang.Number
`byteValue, shortValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### W32API.WPARAM

    public W32API.WPARAM()

### W32API.WPARAM

    public W32API.WPARAM(long value)